<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\InteractiveMessage\NativeFlowMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class NativeFlowButton extends \Google\Protobuf\Internal\Message
{
    


    protected $name = null;
    


    protected $buttonParamsJson = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getName()
    {
        return isset($this->name) ? $this->name : '';
    }

    public function hasName()
    {
        return isset($this->name);
    }

    public function clearName()
    {
        unset($this->name);
    }

    




    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;

        return $this;
    }

    



    public function getButtonParamsJson()
    {
        return isset($this->buttonParamsJson) ? $this->buttonParamsJson : '';
    }

    public function hasButtonParamsJson()
    {
        return isset($this->buttonParamsJson);
    }

    public function clearButtonParamsJson()
    {
        unset($this->buttonParamsJson);
    }

    




    public function setButtonParamsJson($var)
    {
        GPBUtil::checkString($var, True);
        $this->buttonParamsJson = $var;

        return $this;
    }

}

